# Interface DwgMetadata

Metadata for both 2D and 3D DWG files.

interface DwgMetadata {
dwg: DwgMetadata3D | DwgMetadata2D;
serverRelativeUrl: string;
}

##### Index

### Properties

dwg
serverRelativeUrl

## Properties

### `Readonly` dwg

dwg: DwgMetadata3D | DwgMetadata2D

Metadata for DWG. Note that it is a discriminant union so check the `dwg.type` property to see whether it is a 2D or 3D DWG.

### `Readonly` serverRelativeUrl

serverRelativeUrl: string

URL of the DWG relative to the server